﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TweetMemeNET
{
    /// <summary>
    /// Used to call the firehose method of the TweetMeme API (to retrieve recent TweetMeme comments)
    /// </summary>
    public class TweetMemeCallFirehose : TweetMemeCallBase
    {
        int _page = 1;

        public TweetMemeCallFirehose()
            : base()
        {

        }

        protected override string GetTweetMemeApiUrl()
        {
            return TweetMemeConstants.URL_BASE_COMMENTS_FIREHOSE;
        }

        protected override ITweetMemeResult HandleResult(string xmlResult)
        {
            TweetMemeResultComments result = new TweetMemeResultComments(xmlResult);

            Result=result;

            return result;
        }

        /// <summary>
        /// Gets a result set containing the most recent comments on TweetMeme
        /// </summary>
        public new TweetMemeResultComments Result
        {
            get
            {
                return (TweetMemeResultComments)base.Result;
            }
            protected set
            {
                base.Result = (ITweetMemeResult)value;
            }
        }
    }
}
