﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TweetMemeNET
{
    /// <summary>
    /// Used to call the TweetMeme API to receive tweets for a specific URL
    /// </summary>
    public class TweetMemeCallTweets : TweetMemeCallBase
    {
        int _page = 1;

        public TweetMemeCallTweets(string siteUrl)
            : base(siteUrl)
        {

        }

        public TweetMemeCallTweets(string siteUrl, int page)
            : base(siteUrl)
        {
            _page=page;
        }

        protected override string GetTweetMemeApiUrl()
        {
            return string.Format(TweetMemeConstants.URL_BASE_URL_TWEETS, SiteURL, _page);
        }

        protected override ITweetMemeResult HandleResult(string xmlResult)
        {
            TweetMemeResultTweets result = new TweetMemeResultTweets(xmlResult);

            Result=result;

            return result;
        }

        /// <summary>
        /// Gets the result set consisting of a list of individual tweets
        /// </summary>
        public new TweetMemeResultTweets Result
        {
            get
            {
                return (TweetMemeResultTweets)base.Result;
            }
            protected set
            {
                base.Result = (ITweetMemeResult)value;
            }
        }
    }
}
