﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TweetMemeNET
{
    /// <summary>
    /// Provide settings constants for the TweetMeme.NET API
    /// </summary>
    public static class TweetMemeConstants
    {
        /// <summary>
        /// Default cache setting for TweetMeme API calls
        /// </summary>
        public static int CACHE_TIMEOUT_IN_SECONDS = 120;

        /// <summary>
        /// Base url for "url info" API calls, to be used with string.Format()
        /// </summary>
        public static string URL_BASE_URL_INFO = "http://api.tweetmeme.com/url_info.xml?url={0}";

        /// <summary>
        /// Base url for "tweets" API calls, to be used with string.Format()
        /// </summary>
        public static string URL_BASE_URL_TWEETS = "http://api.tweetmeme.com/stories/tweets.xml?url={0}&page={1}";

        /// <summary>
        /// URL for retrieving the comments firehose (all recent comments on TweetMeme)
        /// </summary>
        public static string URL_BASE_COMMENTS_FIREHOSE = "http://api.tweetmeme.com/comments/firehose.xml";

        /// <summary>
        /// URL for retrieving comments for a specific URL, to be used with string.Format()
        /// </summary>
        public static string URL_BASE_COMMENTS = "http://api.tweetmeme.com/comments/get_url.xml?url={0}";
    }
}
